$freebsd_runvars
}
+create_xen_build_job () {
+ local name=$1; shift
+ local recipe=$1; shift
+ local extra_runvars=$@; shift
+
+ job_create_build $name $recipe \
+ arch=$arch enable_xend=$build_defxend enable_ovmf=$enable_ovmf \
+ enable_xsm=$enable_xsm $livepatch_runvars \
+ tree_qemu=$TREE_QEMU \
+ tree_qemuu=$TREE_QEMU_UPSTREAM \
+ tree_xen=$TREE_XEN \
+ tree_seabios=$TREE_SEABIOS \
+ tree_ovmf=$TREE_OVMF \
+ tree_minios=$TREE_MINIOS \
+ revision_xen=$REVISION_XEN \
+ revision_qemu=$REVISION_QEMU \
+ revision_qemuu=$REVISION_QEMU_UPSTREAM \
+ revision_seabios=$REVISION_SEABIOS \
+ revision_ovmf=$REVISION_OVMF \
+ revision_minios=$REVISION_MINIOS \
+ $RUNVARS $BUILD_RUNVARS $BUILD_XEN_RUNVARS $arch_runvars \
+ $extra_runvars
+}
+
create_build_jobs () {
local arch
local enable_ovmf
local build_hostflags
local livepatch_runvars
+ local freebsd_runvars build_on_freebsd
if [ "x$BUILD_LVEXTEND_MAX" != x ]; then
BUILD_RUNVARS+=" build_lvextend_max=$BUILD_LVEXTEND_MAX "
if [ "x$arch" = xdisable ]; then continue; fi
+ set_freebsd_runvars
+
build_matrix_branch_filter_callback || continue
case "$arch" in
esac
enable_prevovmf=${enable_prevovmf:-$enable_ovmf}
+ case "$xenbranch" in
+ xen-3.*-testing) build_on_freebsd=false;;
+ xen-4.?-testing) build_on_freebsd=false;;
+ xen-4.11-testing) build_on_freebsd=false;;
+ *) build_on_freebsd=true;;
+ esac
+
want_prevxen=n
if branch_wants_migrupgrade_tests ; then
# Only x86 for now
else
xsm_suffix=""
fi
- job_create_build build-$arch$xsm_suffix build \
- arch=$arch enable_xend=$build_defxend enable_ovmf=$enable_ovmf\
- enable_xsm=$enable_xsm $livepatch_runvars \
- tree_qemu=$TREE_QEMU \
- tree_qemuu=$TREE_QEMU_UPSTREAM \
- tree_xen=$TREE_XEN \
- tree_seabios=$TREE_SEABIOS \
- tree_ovmf=$TREE_OVMF \
- tree_minios=$TREE_MINIOS \
- $RUNVARS $BUILD_RUNVARS $BUILD_XEN_RUNVARS $arch_runvars \
- $hostos_runvars \
- host_hostflags=$build_hostflags \
- revision_xen=$REVISION_XEN \
- revision_qemu=$REVISION_QEMU \
- revision_qemuu=$REVISION_QEMU_UPSTREAM \
- revision_seabios=$REVISION_SEABIOS \
- revision_ovmf=$REVISION_OVMF \
- revision_minios=$REVISION_MINIOS
+ create_xen_build_job build-$arch$xsm_suffix build \
+ $hostos_runvars host_hostflags=$build_hostflags
+ if [ x$arch = xamd64 ] && [ x$build_on_freebsd = xtrue ] ; then
+ # OVMF doesn't compile on FreeBSD ATM, so forcefully disable it.
+ create_xen_build_job build-$arch-xen$xsm_suffix-freebsd \
+ build-xen-freebsd host_hostflags=arch-$arch,purpose-build \
+ all_host_os=freebsd $freebsd_runvars enable_ovmf=false
+ fi
done
if [ x$want_prevxen = xy ] ; then
--- /dev/null
+#!/bin/sh
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2009-2018 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -ex
+./ts-xen-build "$@" -- clang=y SEABIOSCC=gcc SEABIOSLD=/usr/local/bin/ld